# WalletSigner | Stacks.js 1.0.0 Library Reference
Documentation for Stacks.js 1.0.0 Library Reference

### Hierarchy

- WalletSigner

## Index

### Constructors

- constructor

### Properties

- privateKey

### Methods

- fetchAccount
- getNetwork
- getSTXAddress
- getSTXPrivateKey
- signContractCall
- signContractDeploy
- signSTXTransfer

## Constructors

### constructor

- new WalletSigner(__namedParameters: { privateKey: string }): WalletSigner

- - Defined in packages/keychain/src/wallet/signer.ts:54

  #### Parameters

  - ##### __namedParameters: { privateKey: string }

    - ##### privateKey: string

  #### Returns WalletSigner

## Properties

### privateKey

privateKey: string

- Defined in packages/keychain/src/wallet/signer.ts:54

## Methods

### fetchAccount

- fetchAccount(__namedParameters: { rpcClient: RPCClient; version: TransactionVersion }): Promise<Account>

- - Defined in packages/keychain/src/wallet/signer.ts:76

  #### Parameters

  - ##### __namedParameters: { rpcClient: RPCClient; version: TransactionVersion }

    - ##### rpcClient: RPCClient

    - ##### version: TransactionVersion

  #### Returns Promise<Account>

### getNetwork

- getNetwork(): StacksTestnet

- - Defined in packages/keychain/src/wallet/signer.ts:70

  #### Returns StacksTestnet

### getSTXAddress

- getSTXAddress(version: TransactionVersion ): string

- - Defined in packages/keychain/src/wallet/signer.ts:60

  #### Parameters

  - ##### version: TransactionVersion

  #### Returns string

### getSTXPrivateKey

- getSTXPrivateKey(): Buffer

- - Defined in packages/keychain/src/wallet/signer.ts:64

  #### Returns Buffer

### signContractCall

- signContractCall(__namedParameters: { contractAddress: string; contractName: string; functionArgs: ClarityValue []; functionName: string; nonce: number; postConditionMode: undefined | Allow | Deny ; postConditions: undefined | PostCondition [] }): Promise<StacksTransaction>

- - Defined in packages/keychain/src/wallet/signer.ts:88

  #### Parameters

  - ##### __namedParameters: { contractAddress: string; contractName: string; functionArgs: ClarityValue []; functionName: string; nonce: number; postConditionMode: undefined | Allow | Deny ; postConditions: undefined | PostCondition [] }

    - ##### contractAddress: string

    - ##### contractName: string

    - ##### functionArgs: ClarityValue []

    - ##### functionName: string

    - ##### nonce: number

    - ##### postConditionMode: undefined | Allow | Deny

    - ##### postConditions: undefined | PostCondition []

  #### Returns Promise<StacksTransaction>

### signContractDeploy

- signContractDeploy(__namedParameters: { codeBody: string; contractName: string; nonce: number; postConditionMode: undefined | Allow | Deny ; postConditions: undefined | PostCondition [] }): Promise<StacksTransaction>

- - Defined in packages/keychain/src/wallet/signer.ts:111

  #### Parameters

  - ##### __namedParameters: { codeBody: string; contractName: string; nonce: number; postConditionMode: undefined | Allow | Deny ; postConditions: undefined | PostCondition [] }

    - ##### codeBody: string

    - ##### contractName: string

    - ##### nonce: number

    - ##### postConditionMode: undefined | Allow | Deny

    - ##### postConditions: undefined | PostCondition []

  #### Returns Promise<StacksTransaction>

### signSTXTransfer

- signSTXTransfer(__namedParameters: { amount: string; memo: undefined | string; nonce: number; postConditionMode: undefined | Allow | Deny ; postConditions: undefined | PostCondition []; recipient: string }): Promise<StacksTransaction>

- - Defined in packages/keychain/src/wallet/signer.ts:130

  #### Parameters

  - ##### __namedParameters: { amount: string; memo: undefined | string; nonce: number; postConditionMode: undefined | Allow | Deny ; postConditions: undefined | PostCondition []; recipient: string }

    - ##### amount: string

    - ##### memo: undefined | string

    - ##### nonce: number

    - ##### postConditionMode: undefined | Allow | Deny

    - ##### postConditions: undefined | PostCondition []

    - ##### recipient: string

  #### Returns Promise<StacksTransaction>

Generated using TypeDoc